[arch-commits] Commit in msmtp/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Allan McRae allan at archlinux.org
Thu Nov 19 23:37:16 EST 2009


    Date: Thursday, November 19, 2009 @ 23:37:16
  Author: allan
Revision: 59064

Merged revisions 59062 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/msmtp/trunk

........
  r59062 | allan | 2009-11-20 14:35:10 +1000 (Fri, 20 Nov 2009) | 2 lines
  
  upgpkg: msmtp 1.4.19-1
      upstream update - fixes CVE-2009-3942
........

Modified:
  msmtp/repos/extra-x86_64/	(properties)
  msmtp/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: msmtp/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /msmtp/trunk:1-24777
   + /msmtp/trunk:1-59063

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-20 04:36:07 UTC (rev 59063)
+++ extra-x86_64/PKGBUILD	2009-11-20 04:37:16 UTC (rev 59064)
@@ -3,23 +3,24 @@
 # Contributor: Ben Mazer <blm at groknil.org>
 
 pkgname=msmtp
-pkgver=1.4.17
+pkgver=1.4.19
 pkgrel=1
 pkgdesc="a mini smtp client"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('GPL2')
 url="http://msmtp.sourceforge.net"
-depends=('gnutls>=2.4.1' 'libidn')
+depends=('gnutls' 'libidn')
 provides=('smtp-forwarder')
 source=(http://download.sourceforge.net/sourceforge/msmtp/${pkgname}-${pkgver}.tar.bz2)
 install=${pkgname}.install
+md5sums=('f0afdc943bf7c8a3a3bf3fe1a73072c4')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --with-ssl=gnutls || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  rm -f ${startdir}/pkg/usr/share/info/dir
+  make DESTDIR=${pkgdir} install || return 1
+
   # this can not be the default
   #install -Dm644 doc/msmtprc-system.example $startdir/pkg/etc/msmtprc
 }



More information about the arch-commits mailing list